Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Users

Expanded Groups and Users API support for AI and chat settings

API release

Summary:Added new AI, chat, and collaboration settings fields to Groups and Users APIs and webhook events, including support for configuring and retrieving AI settings and additional group chat features.

Enhancements

  • Added the following new response fields for Groups APIs (GET /v2/groups/{groupId}/settings, GET /v2/accounts/{accountId}/groups/{groupId}/settings)

    • view_option
    • ai_sentence_completion
    • create_group_chat
    • chat_email_address
    • ai_compose
    • restrictions
    • allow_delete_message
    • ai_quick_reply
    • download_file
    • share_screen_in_chat
    • ai_recommend
    • ai_quick_schedule
    • ai_summary
    • survey_poll
    • allow_edit_message
    • allow_huddles_from_channels
    • shared_spaces
    • read_receipts
  • Added ai request field in the following Users APIs:

    • PATCH /v2/accounts/{accountId}/users/{userId}/settings
    • PATCH /v2/users/{userId}/settings
  • Added ai response field in the following Groups APIs:

    • GET /v2/groups/{groupId}/settings
    • GET /v2/accounts/{accountId}/groups/{groupId}/settings
    • GET /v2/accounts/{accountId}/groups/{groupId}/lock_settings
    • GET /v2/groups/{groupId}/lock_settings
  • Added ai response field in the following Users APIs:

    • GET /v2/accounts/{accountId}/users/{userId}/settings
    • GET /v2/users/{userId}/settings
  • Added ai request field in the following Groups APIs:

    • PATCH /v2/accounts/{accountId}/groups/{groupId}/lock_settings
    • PATCH /v2/groups/{groupId}/lock_settings
    • PATCH /v2/groups/{groupId}/settings
    • PATCH /v2/accounts/{accountId}/groups/{groupId}/settings
  • Added the following response fields in the group.settings_updated Groups webhook event:

    • ai_summary
    • survey_poll
    • allow_edit_message
    • ai_recommend
    • ai_quick_schedule
    • read_receipts
    • shared_spaces
    • allow_huddles_from_channels
    • chat_email_address
    • ai_compose
    • translate_messages
    • search_and_send_animated_gif_images
    • ai_sentence_completion
    • share_screen_in_chat
    • download_file
    • allow_delete_message
    • ai_quick_reply
  • Added ai field in the following Users webhook events:

    • user.settings_updated
    • user.settings_updated
  • Added create_group_chat, view_option, restrictions fields in the following Groups webhook events:

    • group.settings_updated
    • group.settings_updated
  • Added ai field in the following Groups webhook events:

    • group.lock_settings_updated
    • group.lock_settings_updated
    • group.settings_updated
    • group.settings_updated